#
# spec file for package ghc-amazonka-cloudwatch-logs
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name amazonka-cloudwatch-logs
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.4.3
Release:        7.13
Summary:        Amazon CloudWatch Logs SDK
License:        MPL-2.0
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-amazonka-core-devel
BuildRequires:  ghc-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-amazonka-test-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hunit-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-unordered-containers-devel
%endif

%description
Amazon CloudWatch Logs API Reference You can use Amazon CloudWatch Logs to
monitor, store, and access your log files from Amazon Elastic Compute Cloud
(Amazon EC2) instances, Amazon CloudTrail, or other sources. You can then
retrieve the associated log data from CloudWatch Logs using the Amazon
CloudWatch console, the CloudWatch Logs commands in the AWS CLI, the CloudWatch
Logs API, or the CloudWatch Logs SDK. You can use CloudWatch Logs to: -
__Monitor Logs from Amazon EC2 Instances in Real-time__: You can use CloudWatch
Logs to monitor applications and systems using log data. For example,
CloudWatch Logs can track the number of errors that occur in your application
logs and send you a notification whenever the rate of errors exceeds a
threshold you specify. CloudWatch Logs uses your log data for monitoring; so,
no code changes are required. For example, you can monitor application logs for
specific literal terms (such as "NullReferenceException") or count the number
of occurrences of a literal term at a particular position in log data (such as
"404" status codes in an Apache access log). When the term you are searching
for is found, CloudWatch Logs reports the data to a Amazon CloudWatch metric
that you specify. - __Monitor Amazon CloudTrail Logged Events__: You can create
alarms in Amazon CloudWatch and receive notifications of particular API
activity as captured by CloudTrail and use the notification to perform
troubleshooting. - __Archive Log Data__: You can use CloudWatch Logs to store
your log data in highly durable storage. You can change the log retention
setting so that any log events older than this setting are automatically
deleted. The CloudWatch Logs agent makes it easy to quickly send both rotated
and non-rotated log data off of a host and into the log service. You can then
access the raw log data when you need it.

The types from this library are intended to be used with
<http://hackage.haskell.org/package/amazonka amazonka>, which provides
mechanisms for specifying AuthN/AuthZ information and sending requests.

Use of lenses is required for constructing and manipulating types.
This is due to the amount of nesting of AWS types and transparency regarding
de/serialisation into more palatable Haskell values. The provided lenses should
be compatible with any of the major lens libraries such as
<http://hackage.haskell.org/package/lens lens> or
<http://hackage.haskell.org/package/lens-family-core lens-family-core>.

See "Network.AWS.CloudWatchLogs" or <https://aws.amazon.com/documentation/ the
AWS Documentation> to get started.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library
development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc README.md

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.4.3 revision 0 with cabal2obs.
